Subject: [TR] &R4 ashtray

From: "Ron L\"Herault" <[email-masked]>
Date: Fri, 19 May 2023 16:03:49 -0400

-----Original Message-----

   1. TR4 ashtray (Thomas Fansher)

----------------------------------------------------------------------

The spring metal piece of the ash tray has broken.  Does anyone have a fix
or a replacement?  For a 1962 model - but shouldn?t matter. 
TIA
Tom
61 TR3A
62 TR4
-------------------

I would think the Roadster Factory would have a replacement.   I bought one
for my TR-6 from them.  Gotta have some place to put loose nuts and bolts.

Ron L

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive